Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos Schneider

Múltiples vulnerabilidades en productos Schneider

Fecha de publicación: 
09/09/2020
Importancia: 
4 - Alta
Recursos afectados: 
  • SCADAPack 7x Remote Connect, versión V3.6.3.574 y anteriores;
  • SCADAPack x70 Security Administrator, versión V1.2.0 y anteriores.
Descripción: 

Schneider Electric ha publicado múltiples vulnerabilidades, 3 de severidad media y 2 altas, que afectan a sus productos SCADAPack 7x Remote Connect y a SCADAPack x70 Security Administrator y que podrían permitir la ejecución arbitraria de código, añadir contenido en carpetas no protegidas o acceder a las carpetas con código ejecutable.

Solución: 

Actualizar a SCADAPack 7x RemoteConnect V3.7.3.904 y a SCADAPack x70 Security Administrator V1.6.2. Ambos disponibles como parte del paquete RemoteConnect V2.3.2.

Detalle: 
  • Una vulnerabilidad de deserialización de datos no confiables podría permitir la ejecución de código arbitrario cuando un atacante construye un archivo .PRJ especialmente diseñado que contiene un búfer serializado malicioso. Se ha asignado el identificador CVE-2020-7528 para esta vulnerabilidad de severidad media.
  • Una vulnerabilidad de limitación inadecuada de una ruta de acceso a un directorio restringido ("path transversal") podría permitir a un atacante colocar contenido en cualquier carpeta no protegida del sistema de destino utilizando un archivo .RCZ especialmente diseñado. Se ha asignado el identificador CVE-2020-7529 para esta vulnerabilidad de severidad media.
  • Una vulnerabilidad de autorización inadecuada podría permitir el acceso indebido a las carpetas de código ejecutable. Se ha asignado el identificador CVE-2020-7530 para esta vulnerabilidad de severidad alta.
  • Una vulnerabilidad de control de acceso inapropiado podría permitir a un atacante colocar los ejecutables en una carpeta específica y ejecutar código siempre que el usuario ejecute RemoteConnect. Se ha asignado el identificador CVE-2020-7531 para esta vulnerabilidad de severidad media.
  • Una vulnerabilidad de deserialización de datos no confiables podría permitir la ejecución de código arbitrario cuando un atacante construye un archivo .SDB especialmente diseñado que contiene un búfer serializado malicioso. Se ha asignado el identificador CVE-2020-7532 para esta vulnerabilidad de severidad alta.

Encuesta valoración